STOP

capture drop icnpo_comb
gen int icnpo_comb=.
label drop _all
label define ICNPO ///
0001 "Out of Scope - Council" ///
0002 "Out of Scope - Government" ///
1000 "Culture and Recreation" ///
1100 "Culture and Arts" ///
1200 "Sports" ///
1300 "Other Rec & Soc Clubs" ///
2100 "Primary and Secondary Education" ///
2110 "Parent-Teacher Associations" ///
2120 "Educational Foundations" ///
2200 "Higher Education" ///
2300 "Other Education" ///
2400 "Research" ///
2410 "Medical Research" ///
3100 "Hospitals and Rehabilitation" ///
3200 "Nursing Homes" ///
3300 "Mental Health" ///
3400 "Other Health Services" ///
3410 "Addictions support" ///
4100 "Social services (general)" ///
4110 "Services for Children and families" ///
4120 "Pre-school daycare" ///
4130 "Services for young people" ///
4131 "Scouts, Guides etc" ///
4140 "Services for people with disabilities" ///
4150 "Services for elderly people" ///
4160 "Services for women" ///
4170 "Carers Organisations" ///
4180 "Refugee services" ///
4200 "Emergency and Relief" ///
4220 "Homelessness support" ///
4300 "Income Support and Maintenance" ///
5100 "Environment" ///
5110 "Recycling" ///
5200 "Animal Protection" ///
6000 "Ec, Soc & Comm Development" ///
6100 "Social and Community Development" ///
6110 "Village Halls" ///
6120 "Community Transport" ///
6130 "Economic development" ///
6140 "Credit Unions" ///
6150 "Social enterprise" ///
6200 "Housing" ///
6210 "Housing Associations" ///
6300 "Employment and Training" ///
7100 "Civic and Advocacy Orgs" ///
7110 "Ethnic minority organisations" ///
7120 "Sexuality/LGBT" ///
7200 "Law and Legal Services" ///
7210 "Advice Services" ///
7230 "Offenders/ex-offenders support" ///
7300 "Political Organisations" ///
8100 "Grantmaking Foundations" ///
8200 "Volunt Promotion, Fund-raising" ///
9100 "International Activities" ///
8200 "Volunt Promotion, Fund-raising" ///
9100 "International Activities" ///
10100 "Religious Congs & Assocs" ///
11100 "Business Associations" ///
11200 "Professional Associations" ///
11300 "Trade Unions" ///
12100 "Not Elsewhere Classified" ///
12200 "Gen or Mult Charitable Purps" ///
12300 "Charity shops" ///
12400 "Cafes"

numlabel ICNPO, add

label values icnpo_comb ICNPO

save, replace
*** stnd_compname combname, gen(stcombname)
***replace stcombname=lower(stcombname)
capture drop stcombname
replace orgname ="Coisir Ghoidhlig Thaigh An Uill Taynuilt Gaelic Choir" if orgid=="00124000008niBq"
replace orgname ="East Kilbride Arts Anyone can sing Group" if orgid=="00124000008nYfp"
replace orgname ="Scottish Country Dance Club, Dalavich" if orgid=="00124000008nfnC"
replace orgname ="Bell Baxter High School Fund Fair Fund" if orgid=="00124000008nchR"
replace orgname ="Alzheimer Scotland This is me passport" if orgid=="00124000008ncwm"
replace orgname ="new start bi-polar support group dumfries" if orgid=="00124000008ncDD"
replace orgname ="Gourock Baby & Toddler Playgroup ?TinyTots" if orgid=="00124000008ne5l"
replace orgname ="Mount Kirk Toddlers / Forget-Me-Not" if orgid=="00124000008ndjm"
replace orgname ="Cafe de Youth" if orgid=="00124000008nhfb"
replace orgname ="Forres Youth Cafe" if orgid=="00124000008ngYA"
replace orgname ="Jedburgh Youth Cafe Association - CEASED" if orgid=="00124000008ngl0"
replace orgname ="Tain Youth Cafe" if orgid=="00124000008nh54"
replace orgname ="new start Youth Arts" if orgid=="00124000008neGK"
replace orgname ="Oban Youth Cafe" if orgid=="00124000008nZlc"
replace orgname ="New start - autism network SE" if orgid=="00124000008neD9"
replace orgname ="Heaven and Earth Cafe" if orgid=="00124000008ngS5"
replace orgname ="new start Moffat Community Woodlands" if orgid=="00124000008neGB"
replace orgname ="new start animal sanctuary" if orgid=="00124000008ncap"
replace orgname ="Kennoway Community Centre - Youth Cafe" if orgid=="00124000008ndI4"
replace orgname ="New Start Social Enterprise Joe Gough" if orgid=="00124000008neNx"
replace orgname ="Lochee Parish Church Drop Inn Community Cafe" if orgid=="00124000008nZAs"
replace orgname ="new start CIC Blue Skies Venture" if orgid=="00124000008ndxS"
replace orgname ="New Start Cash for Clothes Charity Shop" if orgid=="00124000008ndE2"
replace orgname ="Aberfeldy Community Cafe" if orgid=="00124000008nXF8"
replace orgname ="Ageing Well Changing Lifestyles" if orgid=="00124000008nek4"
replace orgname ="Bay Tree Community Cafe Project" if orgid=="00124000008nbcb"
replace orgname ="Calligraphy Group, Lochgilphead" if orgid=="00124000008nfb3"
replace orgname ="Cinnamon Cafe" if orgid=="00124000008nayf"
replace orgname ="Feis Oigridh Ile is Dhiura" if orgid=="00124000008nfdz"
replace orgname ="Fife Polish Association MOST" if orgid=="00124000008ndMS"
replace orgname ="Friends Of What View Ltd" if orgid=="00124000008nfP7"
replace orgname ="Glenrothes Information Cafe" if orgid=="00124000008ndDH"
replace orgname ="Green Tree Community Cafe" if orgid=="00124000008nfer"
replace orgname ="Harbour Howff Cafe" if orgid=="00124000008ndMq"
replace orgname ="Kincardine Community Cafe" if orgid=="00124000008ndSk"
replace orgname ="Leven Information Cafe" if orgid=="00124000008ndDM"
replace orgname ="Mobile Crèche" if orgid=="00124000008neL4"
replace orgname ="Strathbrock Partnership Cafe / Cafe Mistura" if orgid=="00124000008niFb"
replace orgname ="new start Care Solution Move to CIC" if orgid=="00124000008ndt6"
replace orgname ="new start Glenluce Skate Park" if orgid=="00124000008ndiu"
replace orgname ="Cafe Refresh" if orgid=="00124000008neQK"
replace orgname ="Defence of Britain Project, North Clyde Group" if orgid=="00124000008nhoA"
replace orgname ="East Pollokshields Mobile Creche" if orgid=="00124000008ngJT"
replace orgname ="Mactaggart Community Cyber Cafe" if orgid=="00124000008nhzC"
replace orgname ="Asociacion San Mateo" if orgid=="00124000008ncA7"
replace orgname ="Curam Thiriodh" if orgid=="00124000008nfYf"
replace orgname ="Feis Phaislig" if orgid=="00124000008neHE"
replace orgname ="Mobile Creche" if orgid=="00124000008neL4"

gen stcombname=lower(combname)
replace stcombname = subinstr(stcombname,"!","",.)
replace stcombname = subinstr(stcombname,"#","",.)
replace stcombname = subinstr(stcombname,"%","",.)
replace stcombname = subinstr(stcombname,"&","",.)
replace stcombname = subinstr(stcombname,"","",.)
replace stcombname = subinstr(stcombname,"(","",.)
replace stcombname = subinstr(stcombname,")","",.)
replace stcombname = subinstr(stcombname,"*","",.)
replace stcombname = subinstr(stcombname,"+","",.)
replace stcombname = subinstr(stcombname,",","",.)
replace stcombname = subinstr(stcombname,"-","",.)
replace stcombname = subinstr(stcombname,".","",.)
replace stcombname = subinstr(stcombname,"/","",.)
replace stcombname = subinstr(stcombname,":","",.)
replace stcombname = subinstr(stcombname,"=","",.)
replace stcombname = subinstr(stcombname,"?","",.)
replace stcombname = subinstr(stcombname,"@","",.)
replace stcombname = subinstr(stcombname,"[","",.)
replace stcombname = subinstr(stcombname,"\","",.)
replace stcombname = subinstr(stcombname,"]","",.)
replace stcombname = subinstr(stcombname,"_","",.)
replace stcombname = subinstr(stcombname,"`","",.)
replace stcombname = subinstr(stcombname,"'","",.)
replace stcombname = subinstr(stcombname,";","",.)
replace stcombname = subinstr(stcombname,"{","",.)
replace stcombname = subinstr(stcombname,"}","",.)

charlist stcombname
replace stcombname=strtrim(stcombname)

replace stcombname = subinstr(stcombname," & "," and ",.)

replace postcode=milo_postcode if postcode==""
replace postcode=oscr_postcode if postcode==""
**gen aims_lower=lower(aims)
gen combaims=lower(aims)
replace combaims=lower(objectives) if combaims==""
save, replace

