gen orgtypecl=orgtype
replace orgtypecl = "Reg Charity" if charitynumber !="" 

replace orgtypecl="Partnership / Network" if orgtype == "CVS" | orgtype == "TSI" ///
| orgtype == "VC"
replace orgtypecl = "Partnership / Network" if regexm(stcombname,"sports council")==1
replace orgtypecl = "Partnership / Network" if regexm(combname,"^AVA")==1
replace orgtypecl = "Partnership / Network" if (regexm(combname,"CVS") + ///
regexm(combname,"TSI") >0) & regexm(combname,"HTSI")==0
replace orgtypecl = "Partnership / Network" if regexm(stcombname,"cvo")==1
replace orgtypecl = "Statutory" if regexm(stcombname,"scottish sports council")==1
replace orgtypecl = "Statutory" if regexm(stcombname,"active schools")==1
replace orgtypecl = "Reg Charity" if regexm(stcombname,"abbeyfield")==1

**browse combname combaims if orgtypecl=="Voluntary Organisation" & icnpo_comb==2100 & ///
**regexm(stcombname,"club")==0 & regexm(stcombname,"former")==0 & regexm(stcombname,"band")==0


replace orgtypecl="Statutory" if orgtypecl=="Voluntary Organisation" & icnpo_comb==2100 & ///
(regexm(stcombname,"primary school")==1 | regexm(stcombname,"high school")==1 ///
| regexm(stcombname,"grammar school")==1) & ///
regexm(stcombname,"club")==0 & regexm(stcombname,"former")==0 ///
& regexm(stcombname,"band")==0 & regexm(stcombname,"team")==0

replace orgtypecl="Statutory" if orgtypecl=="Voluntary Organisation" & icnpo_comb==2100 & ///
regexm(stcombname,"club")==0 & regexm(stcombname,"former")==0 ///
& regexm(stcombname,"pipe ")==0 & regexm(stcombname,"team")==0 ///
& regexm(stcombname,"back to school")==0 & regexm(stcombname,"waldorf")==0 ///
& regexm(stcombname," sea ")==0 & regexm(stcombname,"black belt")==0 ///
& regexm(stcombname,"woodschool")==0 & regexm(stcombname,"social entre")==0 ///
& regexm(stcombname,"friends")==0 & regexm(stcombname,"blitz")==0 ///
& regexm(stcombname,"association")==0 & regexm(stcombname,"jump")==0 ///
& regexm(stcombname,"old ")==0 & regexm(stcombname,"prep for")==0 ///
& regexm(stcombname,"rock academy")==0 & regexm(stcombname,"nursing")==0 ///
& regexm(stcombname,"group")==0 & regexm(stcombname,"acting ")==0 ///
& regexm(stcombname,"blackbelt")==0 & regexm(stcombname,"enterprise")==0

save, replace

tab orgtypecl
drop if orgtypecl=="Household"
drop if regexm(stcombname,"individual member")==1
**browse combname combaims orgtypecl icnpo_comb if regexm(stcombname,"nhs")==1 & icnpo_comb!=3100
replace orgtypecl = "Statutory" if regexm(stcombname,"nhs")==1
replace orgtypecl = "Statutory" if regexm(stcombname,"edc ")==1
replace orgtypecl = "Statutory" if regexm(stcombname,"nlc ")==1
replace icnpo_comb=3100 if regexm(stcombname,"nhs")==1 & (icnpo_comb==6200 | icnpo_comb==6300)
replace orgtypecl = "Private" if regexm(stcombname,"sopra")==1
replace orgtypecl = "Private" if regexm(stcombname,"ernst")==1

replace orgtypecl = "Reg Charity" if regexm(stcombname,"scio")==1
replace orgtypecl = "Reg Charity" if orgid=="00124000008nbMn"
replace icnpo_comb=8100 if orgid=="00124000008nbMn"
replace orgtypecl = "Statutory" if regexm(stcombname,"reference group")==1
replace orgtypecl = "Voluntary Organisation" if orgtypecl=="Stakeholder"
save, replace

sort icnpo_comb
replace orgtypecl="Statutory" if regexm(stcombname, "council") == 1 ///
& icnpo_comb!=2110 & icnpo_comb!=4131 & icnpo_comb!=8100 ///
& orgtypecl!="Statutory" & orgtypecl!="Reg Charity" ///
& regexm(stcombname, "volunt") ==0 ///
& regexm(stcombname, "charitable trust") ==0 ///
& regexm(stcombname, "council on a") ==0 ///
& regexm(stcombname, "council for") ==0 ///
& regexm(stcombname, "community council") ==0 ///
& regexm(stcombname, "festival") ==0 ///
& regexm(stcombname, "sports council") ==0 ///
& regexm(stcombname, "youth council") ==0 ///
& regexm(stcombname, "arts council") ==0 ///
& regexm(stcombname, "british legion") ==0 ///
& (regexm(stcombname, "aberdeen city") + ///
regexm(stcombname, "aberdeenshire") + ///
regexm(stcombname, "angus") + ///
regexm(stcombname, "argyll and bute") + ///
regexm(stcombname, "edinburgh") + ///
regexm(stcombname, "clackmannanshire") + ///
regexm(stcombname, "eilean siar") + ///
regexm(stcombname, "dumfries and galloway") + ///
regexm(stcombname, "dundee") + ///
regexm(stcombname, "ayrshire") + ///
regexm(stcombname, "dunbartonshire") + ///
regexm(stcombname, "lothian") + ///
regexm(stcombname, "renfrewshire") + ///
regexm(stcombname, "falkirk") + ///
regexm(stcombname, "fife") + ///
regexm(stcombname, "glasgow") + ///
regexm(stcombname, "highland") + ///
regexm(stcombname, "inverclyde") + ///
regexm(stcombname, "moray") + ///
regexm(stcombname, "lanarkshire") + ///
regexm(stcombname, "orkney") + ///
regexm(stcombname, "perth and kinross") + ///
regexm(stcombname, "borders") + ///
regexm(stcombname, "shetland") + ///
regexm(stcombname, "d & g") + ///
regexm(stcombname, "d&g") + ///
regexm(stcombname, "p & k") + ///
regexm(stcombname, "p&k") + ///
regexm(stcombname, "stirling") >0)

replace orgtypecl="Statutory" if icnpo_comb==. & orgtypecl!="Statutory" & orgtypecl!="Reg Charity" ///
& (stcombname=="aberdeen city" |  ///
stcombname=="aberdeenshire" |  ///
stcombname=="angus" |  ///
stcombname=="argyll and bute" |  ///
stcombname=="edinburgh" |  ///
stcombname=="clackmannanshire" |  ///
stcombname=="eilean siar" |  ///
stcombname=="dumfries and galloway" |  ///
stcombname=="dundee" |  ///
stcombname=="ayrshire" |  ///
stcombname=="dunbartonshire" |  ///
stcombname=="lothian" |  ///
stcombname=="renfrewshire" |  ///
stcombname=="falkirk" |  ///
stcombname=="fife" |  ///
stcombname=="glasgow" |  ///
stcombname=="highland" |  ///
stcombname=="inverclyde" |  ///
stcombname=="moray" |  ///
stcombname=="lanarkshire" |  ///
stcombname=="orkney" |  ///
stcombname=="perth and kinross" |  ///
stcombname=="borders" |  ///
stcombname=="shetland" |  ///
stcombname=="d & g" |  ///
stcombname=="d&g" |  ///
stcombname=="p & k" |  ///
stcombname=="p&k" |  ///
stcombname=="stirling")


replace orgtypecl= "Statutory" if regexm(stcombname,"hm ")==1 & ///
regexm(stcombname,"jhm ")==0
replace orgtypecl= "Statutory" if regexm(stcombname,"cld")==1 
replace orgtypecl= "Statutory" if regexm(stcombname,"adp")==1 
save, replace

**replace orgtypecl= "Educational Establishment" if orgtypecl=="Statutory" & ///
**icnpo_comb==2100 & regexm(stcombname,"active schools")==0 

**replace orgtypecl="Statutory" if orgtype=="Statutory" & ///
**orgtypecl=="Educational Establishment"  

replace icnpo_comb=99998 if orgtypecl=="Private" & icnpo_comb==.
replace icnpo_comb=99998 if regexm(stcombname,"ernst")==1
replace icnpo_comb=99999 if orgtypecl=="Statutory" & icnpo_comb==.
gen voluntary=1 if orgtypecl !="Statutory" & orgtypecl!="Private"
replace icnpo_comb=12100 if voluntary==1 & icnpo_comb==.

save, replace

