global wp1="C:\Users\ob3\Dropbox\ScottishCSDP\wp1-datacuration\"

**** This codes according to salesforce data supplied by SCVO. ///
**** If not available, skip this step

import excel ///
"$wp1\MILO\SalesforceBasicdata_24May16.xlsx", ///
sheet("report1464095020310") firstrow case(lower) clear
ren charitynumber regcharcln
drop aimsobjectives activeordormant localauthority
bysort regcharcln: gen dupes=_N
tab dupes
browse if dupes>1
drop if regcharcln==""
browse if dupes>1
contract regcharcln organisationname primwork 
tab _freq
bysort regcharcln: gen dupes=_N
tab dupes
browse if dupes==13
drop if regcharcln=="SC"

save "$wp1\MILO\salesforce", replace

import excel ///
"$wp1\MILO\SalesforceBasicdata_24May16.xlsx", ///
sheet("Sheet2") firstrow case(lower) clear
drop count d
save "$wp1\MILO\primwork", replace

use "$wp1\MILO\milo_merged.dta", clear

****** from here if not new data files

capture drop _merge
merge m:m charitynumber using ///
"$wp1\MILO\salesforce.dta", update
drop if _merge==2
drop _merge
tab primwork if icnpo_comb==.
save, replace


capture drop _merge
merge m:1 primwork using ///
"$wp1\MILO\primwork", update
drop if _merge==2

replace icnpo_comb_how="4 scvo" if icnpo_comb!=. & icnpo_comb_how==""

save, replace
 
